#
# spec file for package nbd (Version 2.8.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           nbd
BuildRequires:  doxygen glib2-devel
Version:        2.8.3
Release:        15.2
License:        GPL
Group:          Productivity/Networking/Other
Autoreqprov:    on
Source:         %{name}-%{version}.tar.bz2
Patch1:         nbd-doc.diff
Patch2:         nbd-283-284.diff
Summary:        Network Block Device Server and Client Utilities
URL:            http://nbd.sourceforge.net/
Prefix:         /usr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains nbd-server. It is the server backend for the nbd
network block device driver that's in the Linux kernel.

nbd can be used to have a filesystem stored on another machine. It does
provide a block device, not a file system; so unless you put a
clustering filesystem on top of it, you can't access it simultaneously
from more than one client. Use NFS or a real cluster FS (such as 
ocfs2) if you want to do this. nbd-server can export a file (which may
contain a filesystem image) or a partition. Swapping over nbd is
possible as well, though it's said not to be safe against OOM and
should not be used for that case. nbd-server also has a copy-on-write
mode where changes are saved to a separate file and thrown away when
the connection closes.

The package also contains the nbd-client tools, which you need to
configure the nbd devices on the client side.



Authors:
--------
    Wouter Verhelst <wouter@debian.org>
    Anton Altaparmakov <aia21@cam.ac.uk>
    Pavel Machek <pavel@ucw.cz>
    Paul Clements <Paul.Clements@steeleye.com>

%debug_package
%prep
%setup
%patch1 -p1
%patch2 -p1
touch nbd-client.8

%build
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector"
#export CFLAGS="$RPM_OPT_FLAGS"
./configure --with-gnu-ld --prefix=/usr --mandir=%{_mandir} \
	--infodir=%{_infodir} --libdir=%{_libdir} --libexecdir=%{_libdir} \
	--program-prefix="" --build=%{_target_cpu}-suse-linux
make
doxygen

%install
make install DESTDIR=$RPM_BUILD_ROOT man_MANS='nbd-client.8 nbd-server.1'

%files
%defattr(-,root,root)
%attr(0755,root,root) /usr/bin/nbd-server
%attr(0755,root,root) /usr/sbin/nbd-client
/usr/share/man/man1/nbd-server.1.gz
/usr/share/man/man8/nbd-client.8.gz
%doc README
%doc doc/html

%changelog -n nbd
* Mon Mar 06 2006 - garloff@suse.de
- Make sure children quit when they finish serving, rather than
  trying to do stuff with a server socket that they've closed
  already in a loop. Whoops. (Fix from nbd-2.8.4.)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - garloff@suse.de
- Enable -fstack-protector.
* Mon Jan 09 2006 - garloff@suse.de
- Update to nbd-2.8.3:
  * CVE-2005-3534.
  * A fix for 64bit systems regarding the BLKGETSIZE ioctl().
  * Better handling of SIGCHLD.
* Tue Dec 20 2005 - garloff@suse.de
- Update to nbd-2.8.2:
  * Enable LFS by default.
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Fri Oct 28 2005 - garloff@suse.de
- Update to version 2.8.1.
- Documentation added.
* Mon Jul 04 2005 - garloff@suse.de
- Initial creation of package.
